Bug 505605 - CVE-2004-2541, CVE-2009-0148 cscope: multiple buffer overflows
CVE-2004-2541, CVE-2009-0148 cscope: multiple buffer overflows
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: cscope (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Securit...
: Security
Depends On:
Blocks: CVE-2004-2541/CVE-2009-0148
  Show dependency treegraph
 
Reported: 2009-06-12 11:05 EDT by Tomas Hoger
Modified: 2010-11-04 10:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 10:44:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
incdir overflow patch ported from EL5 (2.98 KB, patch)
2009-06-12 11:08 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2009-06-12 11:05:06 EDT
This is an automatically created tracking bug! It was created to ensure that one or more security vulnerabilities are fixed in all affected branches.

For comments that are specific to the vulnerability please use bugs filed against "Security Response" product referenced in "Blocks" field.

	bug #490667: CVE-2004-2541, CVE-2009-0148 cscope: multiple buffer overflows

When creating a Bodhi update request, please include the bug IDs of the respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available and only close this bug once all affected Fedora versions are fixed.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=490667
Comment 1 Tomas Hoger 2009-06-12 11:08:11 EDT
Created attachment 347583 [details]
incdir overflow patch ported from EL5

Not a big deal issue, as it's actually caught by fortify_source.  Feel free to defer stable updates until there's another fix to do.  Rawhide should get the fix, though you may prefer to rebase to current upstream instead.

Attaching incdir-overflow patch used in rhel updates, forward ported from 15.5 to 15.6 currently in Fedora.
Comment 2 Neil Horman 2009-06-12 13:52:17 EDT
fixed in 15-6.4 .  Thanks!
Comment 3 Bug Zapper 2009-11-16 05:04:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 07:07:47 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.